body{
    overflow-x: hidden;
}
.main-nav{
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 60px;
    padding:20px 0;
    font-size: 13px;
}
 
.main-nav ul{display: flex;}
.main-nav ul li{margin: 0 1em;}
.main-nav ul li a:hover{border-bottom:  2px solid  var(--primary-color);
}
.main-nav ul li a.active{
    border-bottom:  2px solid  var(--primary-color);
}
.main-nav ul li a{
    color: #262626;
    padding-bottom: 2px;
}
.main-nav ul.main-menu{
    flex: 1;
    margin-left: 1em;   
}
.menu-btn{
    cursor: pointer;
    position: absolute;
    top: 20px;
    right: 30px;
    z-index: 2;
    display: none;   
}


@media(max-width:700px){
.menu-btn{ display: block;}
.menu-btn:hover{opacity: 0.5;}
.main-nav ul.right-menu{margin-right: 5em;}
.main-nav ul.main-menu{
        display: block;
        position: fixed;
        top:0;
        left: 0;
        background:var(--primary-color);
        width: 50%;
        height: 100vh;
        border-right: var(--gray) 1px solid;
        opacity: 0.9;
        padding:3em 1em;
        transform: translateX(-500px);
        z-index: 1;
        transition:transform 0.5s ease-in-out;        
    }
    .main-nav ul.main-menu li{
    padding: 10px;
    border-bottom: var(--gray) solid 1px;
    font-size: 14px;
    }
    .main-nav ul.main-menu li a{color: #fff;}
    .main-nav ul.main-menu li:last-child{border-bottom: 0;}
    .main-nav ul.main-menu.show{transform: translateX(-20px);}

}

@media(max-width:400px){
    .main-nav .logo h1{ font-size: 1.5rem;}
}

@media(max-width:220px){
    .main-nav .logo {
        display: none;
     }
     .main-nav ul.main-menu{
        width:90%;

     }
     
}

/*===================| Blogs|===================*/
.categories .category-content{
    position: relative;
}
.categories .category-content .search .form-control .fa{
    position: absolute;
    top:.5em;
    left:.2em;
     
}
.categories .category-content .search  input[type="text"]{
    padding: 0.5em;
    text-align: right;
    width: 100%;
   
}
.category-content .category-section ul li a{
    color: var(--gray);
}
.featured-content{
    position: relative;
}
.featured-content img{
    width: 50%;
}
.featured-content .featured-info{
    position:absolute;
    left:0;
    color: var(--gray);
}

.archive-content p  {
    display:grid;
    grid-template-columns:  80% 20%;
    color: var(--gray);
    
}
.tags ul li{
    margin-top: 4em 0;
}
 .tags ul li a {
     border: .1em var(--gray) solid;
    padding:.5em 1em;
    border-radius:15em;
}
 .tags ul{
   
    display: grid;
    grid-template-columns: repeat(auto-fill,minmax(6em,1fr));
    gap: 1em;
}
 
 .tags ul li a:hover {border:.1em var(--secondary-color) solid;}

 textarea {
     width: 100%;
     text-align:left;
 }
 input[type="text"],input[type="email"]
 {
     width: 100%;
     padding: 0.5em;
     margin: 0.2em 0;
 }
/*===================| Footer |===================*/
footer{
    background:var(--gray);
    padding:10em 0;
    color:#fff;
}
footer .footer-content .quick_links ul li a{color:#fff;}



@media only screen and (min-width:300px) {
/*===================| blog |===================*/
 

.blogs .blog-info .blog-author{
    display: grid;
    grid-template-columns: repeat(auto-fill,minmax(13em,1fr));
 }
 .blog-author{ 
     font-size: .7rem;
 }
 .blog-author p span{
     font-weight:bolder;
 } 

 .featured-content{
    position: relative;
    display: grid;
    grid-template-columns:40% 60%;
    
}
.featured-content .featured-info{
    position:absolute;
    left:8em;
}
.featured-content img{
    width:5em;
   height:8vh;
}

}
 
@media only screen and (min-width:700px) {
    .blog-author p span.stroke{
        background-color:var( --gray);
        padding:.1em;
        margin:0 .5em;
    }
    .blog-content{
        display: grid;
        grid-template-columns:  60% 40%;
        gap: 5em;
    }
    .featured-content{
        position: relative;
        display: grid;
        grid-template-columns:40% 60%;
    margin-top: 2em;        
    }
    .featured-content .featured-info{
        position:absolute;
        left:8em;
    }
    .featured-content img{
        width:5em;
       height:8vh;
    }

    .categories{
        margin-top: 0;
    }
   
footer .footer-content{
    display:grid;
    grid-template-columns:40% 20% 30%;
    gap:2em;
}
}

@media only screen and (min-width:1000px) {
  
}